# API Documentation

## drizzle.resample Module

The drizzle module defines the Drizzle class, for combining input images into a single output image using the drizzle algorithm.

### Functions

`blot_image`(data, pixmap, pix_ratio, exptime, ...) | Resample the `data` input image onto an output grid defined by the `pixmap` array.

### Classes

`Drizzle`([kernel, fillval, out_shape, ...]) | A class for managing resampling and co-adding of multiple images onto a common output grid.

### Class Inheritance Diagram

digraph inheritance865d28b452 { bgcolor=transparent; rankdir=LR; size="8.0, 12.0"; "Drizzle" [URL="../api/drizzle.resample.Drizzle.html#drizzle.resample.Drizzle",fillcolor=white,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.25,shape=box,style="setlinewidth(0.5),filled",target="_top",tooltip="A class for managing resampling and co-adding of multiple images onto a"]; }

## drizzle.utils Module

### Functions

`calc_pixmap`(wcs_from, wcs_to[, shape, ...]) | Calculate a discretized on a grid mapping between the pixels of two images using provided WCS of the original ("from") image and the destination ("to") image.
`decode_context`(context, x, y) | Get 0-based indices of input images that contributed to (resampled) output pixel with coordinates `x` and `y`.
`estimate_pixel_scale_ratio`(wcs_from, wcs_to) | Compute the ratio of the pixel scale of the "to" WCS at the `refpix_to` position to the pixel scale of the "from" WCS at the `refpix_from` position.